<?php

class CalendarAdapter extends ExpressoAdapter {
	public function __construct($id){
		parent::__construct($id);
	}

	protected function getUserId(){
		return $GLOBALS['phpgw_info']['user']['account_id'];
	}

	protected function getDb(){
		return $GLOBALS['phpgw']->db;
	}

	protected function getTimezoneOffset(){
		return $GLOBALS['phpgw']->datetime->tz_offset;
	
	}

	protected function getEvents($month, $year)
	{
		$bo = CreateObject('calendar.bocalendar',1);
		
		$events = $bo->store_to_cache(
					Array(
						'syear'	=> $year,
						'smonth'=> $month,
						'sday'	=> 1
					)
				);
		
		return $events;
	}
	
	protected function makeTime($event)
	{
		$bo = CreateObject('calendar.bocalendar',1);
		
		return $bo->maketime($event);
	}
}
